%define pypi_name ipyparallel
%global __requires_exclude pythonegg\\(3\\)\\(futures\\)

Name:           ipyparallel
Version:        5.0.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        Interactive Parallel Computing with IPython (tools)

License:        BSD
URL:            http://ipython.org/
Source0:        https://pypi.python.org/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-use-setuptools-for-everything-so-python-Depends-subs.patch
BuildArch:      noarch
 
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(sphinx-rtd-theme)
BuildRequires:  pythonegg(3)(sphinx)
BuildRequires:  pythonegg(3)(pyzmq)
BuildRequires:  pythonegg(3)(traitlets)
BuildRequires:  pythonegg(3)(ipython-genutils)
BuildRequires:  pythonegg(3)(decorator)
BuildRequires:  pythonegg(3)(jupyter-client)
BuildRequires:  pythonegg(3)(ipykernel)
BuildRequires:  pythonegg(3)(tornado)


Requires:       python3-%{name} = %{version}-%{release} 
Recommends:     %{name}-doc

%description
Use multiple instances of IPython in parallel, interactively.

This package installs the ipyparallel tools.


%package -n     python2-%{name}
Group:          Development/Python
Summary:        Interactive Parallel Computing with IPython (Python 2)
Recommends:     pythonegg(2)(mpi4py)

%description -n python2-%{name}
Use multiple instances of IPython in parallel, interactively.

This package installs the library for Python 2.


%package -n     python3-%{name}
Group:          Development/Python
Summary:        Interactive Parallel Computing with IPython (Python 3)
Recommends:     pythonegg(3)(mpi4py)

%description -n python3-%{name}
Use multiple instances of IPython in parallel, interactively.

This package installs the library for Python 3.


%package doc
Summary:       Interactive Parallel Computing with IPython documentation
Group:         Development/Python

%description doc
Use multiple instances of IPython in parallel, interactively.

This package contains examples of usage.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install
pushd docs
PYTHONPATH=../ sphinx-build-3 -b man -d ./build/doctrees source ./build/man
install -d %{buildroot}%{_mandir}/man1
mv ./build/man/ipythonparallel*.1 %{buildroot}%{_mandir}/man1/
popd


%files
%{_bindir}/ipcluster
%{_bindir}/ipcontroller
%{_bindir}/ipengine


%files doc
%doc examples


%files -n python2-%{name}
%{_mandir}/man1/*
%license COPYING.md
%{python2_sitelib}/


%files -n python3-%{name}
%{_mandir}/man1/*
%license COPYING.md
%{python3_sitelib}/




%changelog
* Wed Apr 20 2016 philippem <philippem> 5.0.1-2.mga6
+ Revision: 1003866
- remove pythonegg(3)(futures) from requires
- remove no need ls

* Wed Apr 20 2016 philippem <philippem> 5.0.1-1.mga6
+ Revision: 1003750
- imported package ipyparallel

